Skip to main content
POST
/
v1.0
/
message
/
routes
json
{
  "RouteName": "Main SMS Webhook",
  "MessageUrl": "https://apiendpoint.com",
  "MessageUrlMethod": "POST",
  "MessageRouteEnabled": true,
  "MessageAuthenticationType": "Basic",
  "MessageUsername": "admin",
  "MessagePasswordToken": "passwordORbearerToken",
  "CallbackMessageUrl": "https://apiendpoint.com",
  "CallbackMessageUrlMethod": "POST",
  "CallbackMessageAuthenticationType": "Basic",
  "CallbackMessageUsername": "admin",
  "CallbackMessagePasswordToken": "password",
  "InboundBypass": true,
  "OutboundBypass": true,
  "IntelligentRouteEnabled": true,
  "AccountId": "AID-ab12345-2725-45a1-bd5e-526ed19799xx"
}
curl -X POST https://api.telegent.com/v1.0/message/routes \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"RouteName": "Main SMS Webhook",
"MessageUrl": "https://apiendpoint.com",
"MessageUrlMethod": "POST",
"MessageRouteEnabled": true,
"MessageAuthenticationType": "Basic",
"MessageUsername": "admin",
"MessagePasswordToken": "passwordORbearerToken",
"CallbackMessageUrl": "https://apiendpoint.com",
"CallbackMessageUrlMethod": "POST",
"CallbackMessageAuthenticationType": "Basic",
"CallbackMessageUsername": "admin",
"CallbackMessagePasswordToken": "password",
"InboundBypass": true,
"OutboundBypass": true,
"IntelligentRouteEnabled": true,
"AccountId": "AID-ab12345-2725-45a1-bd5e-526ed19799xx"
}'
import requests

url = "https://api.telegent.com/v1.0/message/routes"

payload = {
"RouteName": "Main SMS Webhook",
"MessageUrl": "https://apiendpoint.com",
"MessageUrlMethod": "POST",
"MessageRouteEnabled": True,
"MessageAuthenticationType": "Basic",
"MessageUsername": "admin",
"MessagePasswordToken": "passwordORbearerToken",
"CallbackMessageUrl": "https://apiendpoint.com",
"CallbackMessageUrlMethod": "POST",
"CallbackMessageAuthenticationType": "Basic",
"CallbackMessageUsername": "admin",
"CallbackMessagePasswordToken": "password",
"InboundBypass": True,
"OutboundBypass": True,
"IntelligentRouteEnabled": True,
"AccountId": "DID-eab92510-1040-45a5-bb9c-0bad927SDY878W"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
RouteName: 'Main SMS Webhook',
MessageUrl: 'https://apiendpoint.com',
MessageUrlMethod: 'POST',
MessageRouteEnabled: true,
MessageAuthenticationType: 'Basic',
MessageUsername: 'admin',
MessagePasswordToken: 'passwordORbearerToken',
CallbackMessageUrl: 'https://apiendpoint.com',
CallbackMessageUrlMethod: 'POST',
CallbackMessageAuthenticationType: 'Basic',
CallbackMessageUsername: 'admin',
CallbackMessagePasswordToken: 'password',
InboundBypass: true,
OutboundBypass: true,
IntelligentRouteEnabled: true,
AccountId: 'DID-eab92510-1040-45a5-bb9c-0bad927SDY878W'
})
};

fetch('https://api.telegent.com/v1.0/message/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "MessageRouteId": "MRID-ad0ff867-57dc-4aeb-80e9-9d18349080e9",
  "AccountId": "AID-ab12345-2725-45a1-bd5e-526ed19799xx",
  "RouteName": "Main SMS Webhook",
  "MessageUrl": "https://apiendpoint.com",
  "MessageUrlMethod": "POST",
  "MessageRouteEnabled": false,
  "MessageAuthenticationType": "Basic",
  "MessageUsername": "admin",
  "MessagePasswordToken": "passwordORbearerToken",
  "CallbackMessageUrl": "https://apiendpoint.com",
  "CallbackMessageUrlMethod": "POST",
  "CallbackMessageAuthenticationType": "Basic",
  "CallbackMessageUsername": "admin",
  "CallbackMessagePasswordToken": "password"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}

Body

application/json
RouteName
string
required

Friendly name for the message route

Example:

"Main SMS Webhook"

MessageUrl
string<uri>
required

Primary webhook URL for inbound messages

Example:

"https://apiendpoint.com"

MessageUrlMethod
enum<string>
required

HTTP method for webhook delivery

Available options:
GET,
POST
Example:

"POST"

MessageRouteEnabled
boolean
default:true

Enable or disable this message route

Example:

true

MessageAuthenticationType
enum<string>

Authentication type for primary webhook

Available options:
None,
Basic,
Bearer
Example:

"Basic"

MessageUsername
string

Username for Basic auth (if applicable)

Example:

"admin"

MessagePasswordToken
string

Password for Basic auth or token for Bearer auth

Example:

"passwordORbearerToken"

CallbackMessageUrl
string<uri>

Fallback/callback webhook URL

Example:

"https://apiendpoint.com"

CallbackMessageUrlMethod
enum<string>

HTTP method for callback webhook

Available options:
GET,
POST
Example:

"POST"

CallbackMessageAuthenticationType
enum<string>

Authentication type for callback webhook

Available options:
None,
Basic,
Bearer
Example:

"Basic"

CallbackMessageUsername
string

Username for callback Basic auth

Example:

"admin"

CallbackMessagePasswordToken
string

Password/token for callback auth

Example:

"password"

InboundBypass
boolean

Bypass AI Guardian filtering for inbound messages on this route

Example:

true

OutboundBypass
boolean

Bypass AI Guardian filtering for outbound messages on this route

Example:

true

IntelligentRouteEnabled
boolean

Enable intelligent routing features (AI-assisted message routing)

Example:

true

AccountId
string

Account ID to associate with this message route

Example:

"DID-eab92510-1040-45a5-bb9c-0bad927SDY878W"

Response

Success — returns the newly created Message Route ID (MRID)

The response is of type object.